Bug 1354672 - [abrt] qt5-qtwebengine: WTF::setSystemPagesInaccessible(): QtWebEngineProcess killed by SIGTRAP
Summary: [abrt] qt5-qtwebengine: WTF::setSystemPagesInaccessible(): QtWebEngineProcess...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebengine
Version: 24
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ef4ee104c65ebfaf1c83a8e0364...
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-07-11 22:32 UTC by Jeremy Linton
Modified: 2017-08-08 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:31:48 UTC


Attachments (Terms of Use)
File: backtrace (46.43 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: cgroup (423 bytes, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: core_backtrace (6.17 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: dso_list (9.52 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: environ (6.52 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: limits (1.29 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: maps (32.01 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: mountinfo (3.14 KB, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: namespaces (102 bytes, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: open_fds (788 bytes, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-07-11 22:32 UTC, Jeremy Linton
no flags Details

Description Jeremy Linton 2016-07-11 22:32:44 UTC
Description of problem:
Using konqueror to look at arm/mali/kernel source page. Running on ARM JunoR2 with Radeon HD 5450 and KDE. 




Version-Release number of selected component:
qt5-qtwebengine-5.6.0-8.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        '/usr/lib64/qt5/libexec/QtWebEngineProcess --type=renderer --disable-accelerated-video-decode --enable-threaded-compositing --no-sandbox --use-gl=desktop --disable-webrtc-hw-encoding --lang=en --enable-delegated-renderer --num-raster-threads=3 --gpu-rasterization-msaa-sample-count=8 --content-image-texture-target=3553 --video-image-texture-target=3553 --disable-gpu-compositing --channel=22407.0.722286338'
crash_function: WTF::setSystemPagesInaccessible
executable:     /usr/lib64/qt5/libexec/QtWebEngineProcess
global_pid:     22437
kernel:         4.5.5-300.fc24.aarch64
pkg_fingerprint: B863 5EEB 030D 5AED
pkg_vendor:     Fedora Project
reproducible:   The problem is reproducible
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTF::setSystemPagesInaccessible at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/PageAllocator.cpp:186
 #1 partitionAllocPartitionPages at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/PartitionAlloc.cpp:426
 #2 WTF::partitionAllocSlowPath at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/PartitionAlloc.cpp:821
 #3 WTF::partitionBucketAlloc at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/PartitionAlloc.h:576
 #4 WTF::partitionAllocGenericFlags at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/PartitionAlloc.h:684
 #5 WTF::partitionAllocGeneric at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/PartitionAlloc.h:692
 #6 WTF::fastMalloc at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/FastMalloc.cpp:56
 #7 WTF::DefaultAllocator::malloc<void*, WTF::Vector<v8::Extension*, 0ul, WTF::DefaultAllocator> > at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/DefaultAllocator.h:104
 #8 WTF::Vector<v8::Extension*, 0ul, WTF::DefaultAllocator>::operator new at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/wtf/Vector.h:631
 #9 blink::ScriptController::registeredExtensions at /usr/src/debug/qtwebengine-opensource-src-5.6.0/src/3rdparty/chromium/third_party/WebKit/Source/bindings/core/v8/ScriptController.cpp:329

Comment 1 Jeremy Linton 2016-07-11 22:32:48 UTC
Created attachment 1178588 [details]
File: backtrace

Comment 2 Jeremy Linton 2016-07-11 22:32:49 UTC
Created attachment 1178589 [details]
File: cgroup

Comment 3 Jeremy Linton 2016-07-11 22:32:49 UTC
Created attachment 1178590 [details]
File: core_backtrace

Comment 4 Jeremy Linton 2016-07-11 22:32:50 UTC
Created attachment 1178591 [details]
File: dso_list

Comment 5 Jeremy Linton 2016-07-11 22:32:51 UTC
Created attachment 1178592 [details]
File: environ

Comment 6 Jeremy Linton 2016-07-11 22:32:52 UTC
Created attachment 1178593 [details]
File: limits

Comment 7 Jeremy Linton 2016-07-11 22:32:54 UTC
Created attachment 1178594 [details]
File: maps

Comment 8 Jeremy Linton 2016-07-11 22:32:54 UTC
Created attachment 1178595 [details]
File: mountinfo

Comment 9 Jeremy Linton 2016-07-11 22:32:55 UTC
Created attachment 1178596 [details]
File: namespaces

Comment 10 Jeremy Linton 2016-07-11 22:32:56 UTC
Created attachment 1178597 [details]
File: open_fds

Comment 11 Jeremy Linton 2016-07-11 22:32:58 UTC
Created attachment 1178598 [details]
File: proc_pid_status

Comment 12 Jeremy Linton 2016-07-11 22:32:58 UTC
Created attachment 1178599 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-07-25 21:44:37 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-08-08 15:31:48 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.